<app-header></app-header>

<button routerLink="/fullscreen" [queryParams]="{url:url}">Fullscreen</button>

<app-image [url]="url" (imageClick)="onImageClick()"></app-image>

<app-url-input (urlChange)="url = $event"></app-url-input>
